#include <stdio.h>

#define NN 6

FILE *fi, *fo;
int a[NN],b[NN];
int used[NN];
int l,w,h;
int ll,ww;
int flag;
int n = NN;

int min(int a, int b) { return (a<b)?a:b; }
int max(int a, int b) { return (a>b)?a:b; }

int main() {
	int i,aa,bb;
	int ff;
	fi=fopen("box.in","rt");
	fo=fopen("box.out","wt");

	flag=1;
	for(i=0;i<n;i++) {
		fscanf(fi,"%d%d",&aa,&bb);
		a[i]=min(aa,bb);
		b[i]=max(aa,bb);
		used[i]=0;
	}
	l=a[0];
	w=b[0];
	used[0]=1;
	for(i=0;i<NN;i++) {
		if(!used[i]) {
			if((a[i]==l)&&(b[i]==w)) {
				used[i]=1;
				break;
			}
		}
	}
	if(i>=NN) flag=0;
	ff=0;
	h=-1;
	for(i=0;i<NN;i++) {
		if(!used[i]) {
			if((a[i]==l)&&(b[i]==w)) {
				ff++;
				continue;
			}
			if((a[i]==w)&&(b[i]==l)) {
				ff++;
				continue;
			}
			if((a[i]==l)||(a[i]==w)) {
				if(h<0) {
					h=b[i];
				}
			}
			if((b[i]==l)||(b[i]==w)) {
				if(h<0) {
					h=a[i];
				}
			}
		}
	}
	if(h<0) {
		if(w==l) {
			h=w;
		} else {
			flag=0;
		}
	} else {
		ll=0;
		ww=0;
		for(i=0;i<NN;i++) {
			if(!used[i]) {
				if(a[i]==w) {
					if(b[i]!=h) {
//						flag=0; 
					} else {
						ww++;
					}
				}
				if(a[i]==l) {
					if(b[i]!=h) {
//						flag=0; 
					} else {
						ll++;
					}
				}
				if(b[i]==w) {
					if(a[i]!=h) {
//						flag=0; 
					} else {
						ww++;
						if(w==h) ww--;
					}
				}
				if(b[i]==l) {
					if(a[i]!=h) {
//						flag=0; 
					} else {
						ll++;
						if(l==h) ll--;
					}
				}
			}
		}
		if(l==w) {
			if(ll!=4) flag=0;
			if(ww!=4) flag=0;
		} else {
			if(ll!=2) flag=0;
			if(ww!=2) flag=0;
		}
	}
	if(flag) {
		fprintf(fo,"POSSIBLE\n");
	} else {
		fprintf(fo,"IMPOSSIBLE\n");
	}

	fclose(fi);
	fclose(fo);
	return 0;
}